Bug 1460821 - When updating RHOSP 9, though deployment is successful, nodes are not registered
When updating RHOSP 9, though deployment is successful, nodes are not registered
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
medium Severity medium
: ---
: 9.0 (Mitaka)
Assigned To: Angus Thomas
Amit Ugol
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 17:09 EDT by bigswitch
Modified: 2017-09-11 13:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-15 07:47:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bigswitch 2017-06-12 17:09:27 EDT
Description of problem:
When deploying rhosp9 with rhel-registration information, though the deployment is successful, nodes are not registered to redhat still

How reproducible:
100%

Steps to Reproduce:
1. Deploy rhosp 9 with Bigswitch plugins
2. Deploy rhosp 9 again with rhel-registration yaml files
3. Deployment succeed, but checking all overcloud nodes shows none is registered to Redhat.
4. Attempt to run update failed since nodes are not registered.
This is bigswitch environment-rhel-registration.yaml files

# Note this can be specified either in the call
# to heat stack-create via an additional -e option
# or via the global environment on the seed in
# /etc/heat/environment.d/default.yaml
parameter_defaults:
  rhel_reg_activation_key: "key1"
  rhel_reg_auto_attach: ""
  rhel_reg_base_url: ""
  rhel_reg_environment: ""
  rhel_reg_force: "true"
  rhel_reg_machine_name: ""
  rhel_reg_org: "7697224"
  rhel_reg_password: ""
  rhel_reg_pool_id: "8a85f98157083df101570f3cfdd37f43"
  rhel_reg_release: ""
  rhel_reg_repos: ""
  rhel_reg_repos: "rhel-7-server-rpms, rhel-7-server-extras-rpms, rhel-7-server-rh-common-rpms, rhel-7-server-satellite-tools-6.1-rpms, rhel-ha-for-rhel-7-server-rpms, rhel-7-server-openstack-9-director-rpms, rhel-7-server-openstack-9-rpms, rhel-7-server-rhceph-1.3-mon-rpms"
  rhel_reg_sat_url: ""
  rhel_reg_server_url: ""
  rhel_reg_service_level: ""
  rhel_reg_user: ""
  rhel_reg_type: ""
  rhel_reg_method: "portal"
  rhel_reg_sat_repo: ""
Comment 1 James Slagle 2017-06-27 07:38:05 EDT
are you overriding OS::TripleO::NodeExtraConfig in any of your environment files?

it's possible this is caused by https://bugzilla.redhat.com/show_bug.cgi?id=1459716
Comment 2 James Slagle 2017-07-17 20:29:57 EDT
are you able to check what I asked in comment 1?

Note You need to log in before you can comment on or make changes to this bug.